Subject: Re: bug#72692: Emacs 31.05 (40eecd594ac) get SIGSEGV on Linux (Linux 6.6.45 Kde Wayland)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 28 Aug 2024 21:57:39 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 28 Aug 2024 21:35:56 +0300
> 
> >> Now with this patch, the cursor visits every character without delays.
> >
> > Thanks, this is good news.
> >
> >> OTOH, I tried to set a breakpoint inside 'if (non_basic_faces_cached)',
> >> and it's never visited.  So it seems this change has no effect
> >> in normal circumstances.
> >
> > I suggest to try Pip's recipe from
> >
> >   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72692#133
> >
> > (but without patching the C sources).
> 
> I tried Pip's recipe with the while loop, and it doesn't segfault.
> But it doesn't segfault without your patch either.
> So I couldn't confirm if the patch fixes the crashes.

I meant to use that recipe to trigger the breakpoint inside
'if (non_basic_faces_cached)'.

But maybe that will also not happen for you.  I think the result
depends on which fonts are installed on your system.